|
diff -rupN seafile-server-5.1.1.orig/scripts/seaf-fuse.sh seafile-server-5.1.1/scripts/seaf-fuse.sh
|
|
--- seafile-server-5.1.1.orig/scripts/seaf-fuse.sh 2016-05-29 08:43:19.000000000 +0200
|
|
+++ seafile-server-5.1.1/scripts/seaf-fuse.sh 2016-05-29 09:13:06.286680653 +0200
|
|
@@ -7,7 +7,7 @@ INSTALLPATH=$(dirname "${SCRIPT}")
|
|
TOPDIR=$(dirname "${INSTALLPATH}")
|
|
default_ccnet_conf_dir=${TOPDIR}/ccnet
|
|
default_conf_dir=${TOPDIR}/conf
|
|
-seaf_fuse=${INSTALLPATH}/seafile/bin/seaf-fuse
|
|
+seaf_fuse=/usr/bin/seaf-fuse
|
|
|
|
export PATH=${INSTALLPATH}/seafile/bin:$PATH
|
|
export SEAFILE_LD_LIBRARY_PATH=${INSTALLPATH}/seafile/lib/:${INSTALLPATH}/seafile/lib64:${LD_LIBRARY_PATH}
|
|
@@ -68,7 +68,7 @@ function validate_already_running () {
|
|
}
|
|
|
|
function warning_if_seafile_not_running () {
|
|
- if ! pgrep -f "seafile-controller -c ${default_ccnet_conf_dir}" 2>/dev/null 1>&2; then
|
|
+ if ! pgrep -f "seafile-controller -F ${default_conf_dir}" 2>/dev/null 1>&2; then
|
|
echo
|
|
echo "Warning: seafile-controller not running. Have you run \"./seafile.sh start\" ?"
|
|
echo
|